Bug 70730 - xinetd initscript has wrong error handling
Summary: xinetd initscript has wrong error handling
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: xinetd   
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-04 15:20 UTC by Peter van Egdom
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-04 15:20:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter van Egdom 2002-08-04 15:20:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1b) Gecko/20020721

Description of problem:
[peterve@limbo-pc init.d]$ ./xinetd start
Starting xinetd:                                           [  OK  ]
touch: creating `/var/lock/subsys/xinetd': Permission denied


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. "xinetd start" as a normal user
2.
3.
	

Actual Results:
[peterve@limbo-pc init.d]$ ./xinetd start
Starting xinetd:                                           [  OK  ]
touch: creating `/var/lock/subsys/xinetd': Permission denied


Expected Results:
[peterve@limbo-pc init.d]$ ./xinetd start
Starting xinetd:                                           [FAILED]
touch: creating `/var/lock/subsys/xinetd': Permission denied


Additional info:

Source RPM: xinetd-2.3.5-5.src.rpm

Comment 1 Trond Eivind Glomsrxd 2002-08-05 16:41:20 UTC
Fixed in xinetd-2.3.5-6


Note You need to log in before you can comment on or make changes to this bug.